## ros-humble-phidgets-ik 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(phidgets_ik)

find_package(ament_cmake REQUIRED)

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-phidgets-ik (2.3.1-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 02 Mar 2023 23:00:00 -0000

ros-humble-phidgets-ik (2.3.0-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 12 Apr 2022 22:00:00 -0000

ros-humble-phidgets-ik (2.2.2-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 23:00:00 -0000

ros-humble-phidgets-ik (2.2.1-1jammy) jammy; urgency=high

  * Update the ROS 2 readme files. (#93 <https://github.com/ros-drivers/phidgets_drivers/issues/93>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 02 Aug 2021 22:00:00 -0000

ros-humble-phidgets-ik (2.2.0-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 19 May 2021 22:00:00 -0000

ros-humble-phidgets-ik (2.1.0-1jammy) jammy; urgency=high

  * Get rid of deprecation warnings in Foxy. (#75 <https://github.com/ros-drivers/phidgets_drivers/issues/75>)
    Foxy deprecated some of the names we use in the launch files.
    Switch to the new supported names here.
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 28 Mar 2021 22:00:00 -0000

ros-humble-phidgets-ik (2.0.2-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 31 May 2020 22:00:00 -0000

ros-humble-phidgets-ik (2.0.1-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Dec 2019 23:00:00 -0000

ros-humble-phidgets-ik (2.0.0-1jammy) jammy; urgency=high

  * Update READMEs to use "Published Topics" and "Subscribed Topics". (#59 <https://github.com/ros-drivers/phidgets_drivers/issues/59>)
  * Add in parameters to the IK launch file.
  * Change launch output to "both" so it logs as well.
  * Port IK to ROS 2.
  * Ignore all packages for ROS 2 port.
  * Update maintainers in package.xml
  * Merge pull request #39 <https://github.com/ros-drivers/phidgets_drivers/issues/39> from clalancette/add-libphidget22
  * Fix phidgets_ik dependencies.
  * Rewrite IK as just a launch file.
  * Add launch files for all drivers.
  * Add in try/catch blocks for connecting.
  * Fixes from review.
  * Documentation updates to README.md
  * Set the publish_rate to 0 by default.
  * Add in the license files and add to the headers.
  * Remove nodes in favor of nodelets.
  * Rewrite phidgets_ik on top of libphidget22 classes.
  * Rename Phidget class to Phidget21 class.
  * Switch to C++14.
  * Merge pull request #36 <https://github.com/ros-drivers/phidgets_drivers/issues/36> from clalancette/phidget-cleanup2
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Split custom messages into their own package.
  * Add in a nodelet version of the interfaceKit.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Small cleanups throughout the code.
  * Push libphidgets API calls down to phidgets_api.
  * Completely remove boost from the project.
  * Style cleanup.
  * Remove unused dependencies from phidgets_ik.
  * Switch to package format 2.
  * Cleanup spacing in all of the CMakeLists.txt
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Dec 2019 23:00:00 -0000

ros-humble-phidgets-ik (0.7.9-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-humble-phidgets-ik (0.7.8-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-humble-phidgets-ik (0.7.7-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-humble-phidgets-ik (0.7.6-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-humble-phidgets-ik (0.7.5-1jammy) jammy; urgency=high

  * Initial release of the phidgets_ik package for the Phidgets Interface Kit
  * Contributors: Russel Howe, James Sarrett, Dorian Goepp, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-humble-phidgets-ik (0.7.4-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-humble-phidgets-ik (0.7.3-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-humble-phidgets-ik (0.7.2-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-humble-phidgets-ik (0.7.1-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-humble-phidgets-ik (0.7.0-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 16:40:00 -0000

ros-humble-phidgets-ik (0.2.3-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 11:11:00 -0000

ros-humble-phidgets-ik (0.2.2-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 22 Mar 2015 23:00:00 -0000

ros-humble-phidgets-ik (0.2.1-1jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 14 Jan 2015 23:00:00 -0000

=== debian/control ===
Source: ros-humble-phidgets-ik
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-phidgets-ik
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-launch, ros-humble-phidgets-analog-inputs, ros-humble-phidgets-digital-inputs, ros-humble-phidgets-digital-outputs, ros-humble-ros-workspace
Description: Driver for the Phidgets InterfaceKit devices

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-phidgets-ik//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-phidgets-ik 2.3.3

=== debian/changelog ===
ros-humble-phidgets-ik (2.3.3-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 12 Mar 2024 16:00:00 -0000

ros-humble-phidgets-ik (2.3.2-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 26 Nov 2023 16:00:00 -0000

ros-humble-phidgets-ik (2.3.1-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 02 Mar 2023 16:00:00 -0000

ros-humble-phidgets-ik (2.3.0-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 12 Apr 2022 16:00:00 -0000

ros-humble-phidgets-ik (2.2.2-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 16:00:00 -0000

ros-humble-phidgets-ik (2.2.1-1bookworm) bookworm; urgency=high

  * Update the ROS 2 readme files. (#93 <https://github.com/ros-drivers/phidgets_drivers/issues/93>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 02 Aug 2021 16:00:00 -0000

ros-humble-phidgets-ik (2.2.0-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 19 May 2021 16:00:00 -0000

ros-humble-phidgets-ik (2.1.0-1bookworm) bookworm; urgency=high

  * Get rid of deprecation warnings in Foxy. (#75 <https://github.com/ros-drivers/phidgets_drivers/issues/75>)
    Foxy deprecated some of the names we use in the launch files.
    Switch to the new supported names here.
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 28 Mar 2021 16:00:00 -0000

ros-humble-phidgets-ik (2.0.2-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 31 May 2020 16:00:00 -0000

ros-humble-phidgets-ik (2.0.1-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Dec 2019 16:00:00 -0000

ros-humble-phidgets-ik (2.0.0-1bookworm) bookworm; urgency=high

  * Update READMEs to use "Published Topics" and "Subscribed Topics". (#59 <https://github.com/ros-drivers/phidgets_drivers/issues/59>)
  * Add in parameters to the IK launch file.
  * Change launch output to "both" so it logs as well.
  * Port IK to ROS 2.
  * Ignore all packages for ROS 2 port.
  * Update maintainers in package.xml
  * Merge pull request #39 <https://github.com/ros-drivers/phidgets_drivers/issues/39> from clalancette/add-libphidget22
  * Fix phidgets_ik dependencies.
  * Rewrite IK as just a launch file.
  * Add launch files for all drivers.
  * Add in try/catch blocks for connecting.
  * Fixes from review.
  * Documentation updates to README.md
  * Set the publish_rate to 0 by default.
  * Add in the license files and add to the headers.
  * Remove nodes in favor of nodelets.
  * Rewrite phidgets_ik on top of libphidget22 classes.
  * Rename Phidget class to Phidget21 class.
  * Switch to C++14.
  * Merge pull request #36 <https://github.com/ros-drivers/phidgets_drivers/issues/36> from clalancette/phidget-cleanup2
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Split custom messages into their own package.
  * Add in a nodelet version of the interfaceKit.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Small cleanups throughout the code.
  * Push libphidgets API calls down to phidgets_api.
  * Completely remove boost from the project.
  * Style cleanup.
  * Remove unused dependencies from phidgets_ik.
  * Switch to package format 2.
  * Cleanup spacing in all of the CMakeLists.txt
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Dec 2019 16:00:00 -0000

ros-humble-phidgets-ik (0.7.9-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 16:00:00 -0000

ros-humble-phidgets-ik (0.7.8-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 16:00:00 -0000

ros-humble-phidgets-ik (0.7.7-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 16:00:00 -0000

ros-humble-phidgets-ik (0.7.6-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 16:00:00 -0000

ros-humble-phidgets-ik (0.7.5-1bookworm) bookworm; urgency=high

  * Initial release of the phidgets_ik package for the Phidgets Interface Kit
  * Contributors: Russel Howe, James Sarrett, Dorian Goepp, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 16:00:00 -0000

ros-humble-phidgets-ik (0.7.4-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 16:00:00 -0000

ros-humble-phidgets-ik (0.7.3-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 16:00:00 -0000

ros-humble-phidgets-ik (0.7.2-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 16:00:00 -0000

ros-humble-phidgets-ik (0.7.1-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 21 May 2017 16:00:00 -0000

ros-humble-phidgets-ik (0.7.0-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 09:40:00 -0000

ros-humble-phidgets-ik (0.2.3-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 04:11:00 -0000

ros-humble-phidgets-ik (0.2.2-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 22 Mar 2015 16:00:00 -0000

ros-humble-phidgets-ik (0.2.1-1bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 14 Jan 2015 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-phidgets-ik//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-phidgets-ik//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-phidgets-ik//opt/ros/humble/opt/phidgets_ik/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
